package com.fs.course.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会员营期对象 fs_user_course_period
 *
 * @author fs
 * @date 2025-04-15
 */
public class FsUserCoursePeriod
{
    private static final long serialVersionUID = 1L;

    /** 营期id */
    private Long periodId;

    /** 营期名称 */
    @Excel(name = "营期名称")
    private String periodName;

    /** 公司id */
    @Excel(name = "公司id")
    private Long companyId;

    /** 公司id */
    @Excel(name = "公司id,多个用逗号隔开")
    private List<Long> companyIdList;

    /** 课程id */
    @Excel(name = "课程id")
    private Long courseId;

    /** 视频id */
    @Excel(name = "视频id")
    private Long videoId;

    /** 训练营id */
    @Excel(name = "训练营id")
    private Long trainingCampId;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间")
    private Date createTime;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间")
    private Date updateTime;

    /** 课程风格url */
    @Excel(name = "课程风格url")
    private String courseStyle;

    /** 直播间风格url */
    @Excel(name = "直播间风格url")
    private String liveRoomStyle;

    /** 红包发放方式，1-按课程，每个课程可得一个；2-按营期，每个营期可得一个 */
    @Excel(name = "红包发放方式，1-按课程，每个课程可得一个；2-按营期，每个营期可得一个")
    private Long redPacketGrantMethod;

    /** 营期类型，1-多课程营期；2-单课程营期 */
    @Excel(name = "营期类型，1-多课程营期；2-单课程营期")
    private Long periodType;

    /** 开营日期-开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开营日期-开始时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date periodStartingTime;

    /** 开营日期-结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开营日期-结束时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date periodEndTime;

    public void setPeriodId(Long periodId)
    {
        this.periodId = periodId;
    }

    public Long getPeriodId()
    {
        return periodId;
    }
    public void setPeriodName(String periodName)
    {
        this.periodName = periodName;
    }

    public String getPeriodName()
    {
        return periodName;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCourseId(Long courseId)
    {
        this.courseId = courseId;
    }

    public List<Long> getCompanyIdList() {
        return companyIdList;
    }

    public void setCompanyIdList(List<Long> companyIdList) {
        this.companyIdList = companyIdList;
    }

    public Long getCourseId()
    {
        return courseId;
    }
    public void setVideoId(Long videoId)
    {
        this.videoId = videoId;
    }

    public Long getVideoId()
    {
        return videoId;
    }
    public void setTrainingCampId(Long trainingCampId)
    {
        this.trainingCampId = trainingCampId;
    }

    public Long getTrainingCampId()
    {
        return trainingCampId;
    }
    public void setCourseStyle(String courseStyle)
    {
        this.courseStyle = courseStyle;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getCourseStyle()
    {
        return courseStyle;
    }
    public void setLiveRoomStyle(String liveRoomStyle)
    {
        this.liveRoomStyle = liveRoomStyle;
    }

    public String getLiveRoomStyle()
    {
        return liveRoomStyle;
    }
    public void setRedPacketGrantMethod(Long redPacketGrantMethod)
    {
        this.redPacketGrantMethod = redPacketGrantMethod;
    }

    public Long getRedPacketGrantMethod()
    {
        return redPacketGrantMethod;
    }
    public void setPeriodType(Long periodType)
    {
        this.periodType = periodType;
    }

    public Long getPeriodType()
    {
        return periodType;
    }
    public void setPeriodStartingTime(Date periodStartingTime)
    {
        this.periodStartingTime = periodStartingTime;
    }

    public Date getPeriodStartingTime()
    {
        return periodStartingTime;
    }
    public void setPeriodEndTime(Date periodEndTime)
    {
        this.periodEndTime = periodEndTime;
    }

    public Date getPeriodEndTime()
    {
        return periodEndTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("periodId", getPeriodId())
            .append("periodName", getPeriodName())
            .append("companyId", getCompanyId())
            .append("courseId", getCourseId())
            .append("videoId", getVideoId())
            .append("trainingCampId", getTrainingCampId())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("courseStyle", getCourseStyle())
            .append("liveRoomStyle", getLiveRoomStyle())
            .append("redPacketGrantMethod", getRedPacketGrantMethod())
            .append("periodType", getPeriodType())
            .append("periodStartingTime", getPeriodStartingTime())
            .append("periodEndTime", getPeriodEndTime())
            .toString();
    }
}
