package com.fs.course.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fs.common.annotation.Excel;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 会员训练营对象 fs_user_course_training_camp
 *
 * @author fs
 * @date 2025-04-15
 */
public class FsUserCourseTrainingCamp
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long trainingCampId;

    /** 训练营名称 */
    @Excel(name = "训练营名称")
    private String trainingCampName;

    /** 序号 */
    @Excel(name = "序号")
    private Long orderNumber;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间")
    private Date createTime;

    public void setTrainingCampId(Long trainingCampId)
    {
        this.trainingCampId = trainingCampId;
    }

    public Long getTrainingCampId()
    {
        return trainingCampId;
    }
    public void setTrainingCampName(String trainingCampName)
    {
        this.trainingCampName = trainingCampName;
    }

    public String getTrainingCampName()
    {
        return trainingCampName;
    }
    public void setOrderNumber(Long orderNumber)
    {
        this.orderNumber = orderNumber;
    }

    public Long getOrderNumber()
    {
        return orderNumber;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("training campId", getTrainingCampId())
            .append("training campName", getTrainingCampName())
            .append("orderNumber", getOrderNumber())
            .append("createTime", getCreateTime())
            .toString();
    }
}
