package com.fs.course.mapper;

import java.util.List;
import com.fs.course.domain.FsUserCourseTrainingCamp;

/**
 * 会员训练营Mapper接口
 *
 * @author fs
 * @date 2025-04-15
 */
public interface FsUserCourseTrainingCampMapper
{
    /**
     * 查询会员训练营
     *
     * @param trainingCampId 会员训练营ID
     * @return 会员训练营
     */
    public FsUserCourseTrainingCamp selectFsUserCourseTrainingCampById(Long trainingCampId);

    /**
     * 查询会员训练营列表
     *
     * @param fsUserCourseTrainingCamp 会员训练营
     * @return 会员训练营集合
     */
    public List<FsUserCourseTrainingCamp> selectFsUserCourseTrainingCampList(FsUserCourseTrainingCamp fsUserCourseTrainingCamp);

    /**
     * 新增会员训练营
     *
     * @param fsUserCourseTrainingCamp 会员训练营
     * @return 结果
     */
    public int insertFsUserCourseTrainingCamp(FsUserCourseTrainingCamp fsUserCourseTrainingCamp);

    /**
     * 修改会员训练营
     *
     * @param fsUserCourseTrainingCamp 会员训练营
     * @return 结果
     */
    public int updateFsUserCourseTrainingCamp(FsUserCourseTrainingCamp fsUserCourseTrainingCamp);

    /**
     * 删除会员训练营
     *
     * @param trainingCampId 会员训练营ID
     * @return 结果
     */
    public int deleteFsUserCourseTrainingCampById(Long trainingCampId);

    /**
     * 批量删除会员训练营
     *
     * @param trainingCampIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteFsUserCourseTrainingCampByIds(Long[] trainingCampIds);
}
